| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iVerbosityManager Struct Reference

Helper interface which applications and plugins can use to determine whether they should be verbose. More...

`#include <iutil/verbositymanager.h>`

Inheritance diagram for iVerbosityManager:

[legend]
List of all members.

## Public Member Functions
virtual bool | CheckFlag (char const *major, char const *minor) const =0
| Given major and minor components, check if the verbosity class "major.minor" is enabled.
virtual bool | Enabled (char const *flag=0, bool fuzzy=true) const =0
| Check if verbosity should be enabled for a particular flag.
void | Parse (char const *flags)
| Parse additional verbosity flags.

## Detailed Description

Helper interface which applications and plugins can use to determine whether they should be verbose.

At startup, `--verbose=flags` command-line options are parsed. The results are made available via an instance of this interface in the global iObjectRegitry once csInitializer::CreateEnvironment() or csInitializer::CreateVerbosityManager() has been invoked. If you need to check verbosity during very early initialization, before an iVerbosityManager is available globally, you can instead use csParseVerbosity(), csCheckVerbosity(), or csVerbosityParser.

See the csVerbosityParser class description in <csutil/verbosity.h> for a highly detailed disucssion of the `--verbose=flags` option syntax.

See also:
  csVerbosityParser

  csVerbosityManager

  csCheckVerbosity

  csParseVerbosity

Definition at line 47 of file verbositymanager.h.

## Member Function Documentation

virtual bool iVerbosityManager::CheckFlag | ( | char const * | major,
|  | char const * | minor |
| ) |  |  | const`[pure virtual]`

Given major and minor components, check if the verbosity class "major.minor" is enabled.

Deprecated:
  Use instead the more generic Enabled() method, which accepts any granularity of class breakdown; not just major and minor components.

Implemented in csVerbosityManager.

virtual bool iVerbosityManager::Enabled | ( | char const * | flag = `0`,
|  | bool | fuzzy = `true` |
| ) |  |  | const`[pure virtual]`

Check if verbosity should be enabled for a particular flag.

Parameters:

  | flag | The flag for which verboseness should be queried.
  | fuzzy | Whether the search should match flag exactly (fuzzy = false) or if it can traverse the inheritance chain when searching for a match (fuzzy = true).

Remarks:
  See the csVerbosityParser class description and csVerbosityParser::Enabled() for detailed information regarding the interpretation of flag and fuzzy.

Implemented in csVerbosityManager.

void iVerbosityManager::Parse | ( | char const * | flags | ) |

Parse additional verbosity flags.

Remarks:
  See csVerbosityParser::Parse() for detailed information regarding the interpretation of flags.

Reimplemented in csVerbosityManager.

The documentation for this struct was generated from the following file:

- iutil/verbositymanager.h